% TESTS performs a sensitivity analysis for the CRISPRsim model (i.e. How
% the homoplasmy timescale changes with a given parameter) over an order of
% magnitude in either direction. In order for tests to work, the parameter
% which you wish to simulate will need to be replaced with the value of
% "free" in the CRISPRSIM file

points=20; % Number of points to simulate
param = 1; % The parameter to perform a sensitivity analysis on
homot = zeros(1,points); vals=linspace(param/10,param*10,points);

for i=1:points   
    a=vals(i);
    [t,y] = ode15s(@CRISPRsim,[0 1000000],initial_y,opts,Cas9_cassette,G,G_rev,indices,rev_indices,N,offtarget_energy,length(rev_offtarget_indices)+length(offtarget_indices), a);
    homot(i)=t(end);
end

plot(vals, homot)